import os
import sys
from tkinter import PhotoImage

import customtkinter

from src.window.app import App


def main():
    if getattr(sys, 'frozen', False):
        os.chdir(sys._MEIPASS)

    customtkinter.set_appearance_mode("system")
    customtkinter.set_default_color_theme("dark-blue")

    root = customtkinter.CTk()
    root.title("Drawing Training!")
    root.geometry("300x300")
    icon = PhotoImage(file="assets/icons/logo-dt.png")
    root.iconphoto(True, icon)

    App(root)

    root.mainloop()


if __name__ == '__main__':
    main()
